/* This tab has the loop where you can build your own application.  The sample one here contains 4 demos. 
 The first is a demo of the different tools supporting scrolling text. You can scroll text around all four faces or only two faces.
 You can scroll the text through the cube in the X or Y direction.  You can rotate text around in the middle of the cube. 
 Finally, with any of these, you can call the custom characters by their name (they're found in the #define statemnents) and imbed them in your text. 
 Then there are three animations called, each of which is in its own tab (or file).   They are:
 pulsing sphere, cyclone, and wild mouse. Enjoy.
 */

void loop() {
  while (runMode > 0) {
    byte musicMode = runMode-1; // musicMode set to make it easier to tell which routine number is running.
    clearCube(); // if jumping out of animation, clear cube
  
  if ((runMode == 1) || (musicMode == 1)) {spectrum3 (1000,20);} // run if in sequential mode or constant music mode 1
  if (runMode == 1) {clearCube();} // only clear the cube if we are in sequence mode
  if ((runMode == 1) || (musicMode == 2)) {spectrum2 (500,20);} // run if in sequential mode or constant music mode 2
  if (runMode == 1) {clearCube();} // only clear the cube if we are in sequence mode
  if ((runMode == 1) || (musicMode == 3)) {spectrum1 (500,20);} // run if in sequential mode or constant music mode 3
  if (runMode == 1) {clearCube();} // only clear the cube if we are in sequence mode
  }
  
  
 while (runMode == 0) {
   clearCube(); // in case exiting music mode, clear the cube
  scrollTextStd4("Scrolling Text", Blue);  // scrolling text on 4 faces
  if (runMode > 0) {break;} // drop out if mode changes
  scrollText(Face, 0,36,63, 4);  // scrolling a custom caracter , specifying its color, and that you want it on 4 sides 
  if (runMode > 0) {break;} // drop out if mode changes
  scrollThruX("HELLO WORLD!", 63,0,0);  //scroll through cube in X direction
  if (runMode > 0) {break;} // drop out if mode changes
  scrollThruY("GOODBYE!", 0,63,0); // scroll through cube in Y direction
  if (runMode > 0) {break;} // drop out if mode changes
  scrollTextStd4(Fish "   " Arrow, Blue);  // scroll a couple of custom characters
  if (runMode > 0) {break;} // drop out if mode changes
  scrollText("I " Heart " U!", 63,0,0, 4);  // scroll a mix of regular text and custom characters
  if (runMode > 0) {break;} // drop out if mode changes
  rotate("ABC" Star, 0,63,0,2);  //rotate some characters around, picking a color, and calling for 2 rotations
  if (runMode > 0) {break;} // drop out if mode changes
  // fireworks
  scrollTextStd2("FIREWORKS", Yellow);
  fireworks (10,30,60);
  if (runMode > 0) {break;} // drop out if mode changes 
  // the rain animation
  scrollTextStd2("Rain", Aqua);
 if (runMode > 0) {break;} // drop out if mode changes 
  rain(75, 100);
  if (runMode > 0) {break;} // drop out if mode changes
  delay(1000);
  // the pulsing sphere animation
  scrollTextStd2("Pulsing Sphere", Red);
  if (runMode > 0) {break;} // drop out if mode changes
  sphere(15);
  if (runMode > 0) {break;} // drop out if mode changes
  delay(1000);
  // the cyclone animation
  scrollTextStd2("Cyclone", Green);
  if (runMode > 0) {break;} // drop out if mode changes
  cycloneX();
  if (runMode > 0) {break;} // drop out if mode changes
  delay(1000);
  // the wild mouse animation 
  scrollTextStd2("Wild Mouse", Blue);
 if (runMode > 0) {break;} // drop out if mode changes 
  mouse();
  if (runMode > 0) {break;} // drop out if mode changes
  // wait 2 seconds before starting over
  delay(2000);
}
}







